/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */
 

// --------------------------------------------------
// CORE TYPOGRAPHY (type.less)
// --------------------------------------------------

//
// BODY TEXT
// --------------------------------------------------

// Paragraphs
// ----------
p {
  margin: 0 0 (@line-height-computed);
}

.lead {
  margin-bottom: @line-height-computed;
  font-size: (@font-size-base * 1.15);
  font-weight: 200;
  line-height: 1.4;
  @media (min-width: 768px) {
    font-size: (@font-size-base * 1.5);
  }
}


// Emphasis & misc
// ---------------

// Ex: 14px base font * 85% = about 12px
small   { font-size: 85%; }

// Undo browser default styling
cite    { font-style: normal; }

// Contextual emphasis
.text-muted          { color: @text-muted; }
.text-primary        { color: @brand-primary; }
.text-warning        { color: @state-warning-text; }
.text-danger         { color: @state-danger-text; }
.text-success        { color: @state-success-text; }
.text-info           { color: @state-info-text; }

// Alignment
.text-left           { text-align: left; }
.text-right          { text-align: right; }
.text-center         { text-align: center; }

// Highlight
.highlight {
  font-weight: bold;
  padding: 1px 4px;
}



//
// HEADINGSS
// ------------------------------------------------------

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  color: @headings-color;
  font-family: @headings-font-family;
  font-weight: @headings-font-weight;
  line-height: @headings-line-height;
  small {
    font-weight: normal;
    line-height: 1;
    color: @headings-small-color;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
	padding: 0;
  margin: 0 0 (@t3-global-padding / 2) 0;
}

h1, .h1 { font-size: floor(@font-size-base * 2.857142857142857); letter-spacing: 0.75px; } // ~40px
h2, .h2 { font-size: floor(@font-size-base * 2.285714285714286); letter-spacing: 0.75px; } // ~32px
h3, .h3 { font-size: ceil(@font-size-base * 1.70); } // ~24px
h4, .h4 { font-size: ceil(@font-size-base * 1.25); } // ~18px
h5, .h5 { font-size:  @font-size-base; }
h6, .h6 { font-size: ceil(@font-size-base * 0.85); } // ~12px

h1 small, .h1 small { font-size: ceil(@font-size-base * 1.70); } // ~24px
h2 small, .h2 small { font-size: ceil(@font-size-base * 1.25); } // ~18px
h3 small, .h3 small,
h4 small, .h4 small { font-size: @font-size-base; }



//
// LISTS
// --------------------------------------------------

// Unordered and Ordered lists
// ----------------------------
ul,
ol {
  margin-top: 0;
  margin-bottom: (@line-height-computed / 2);
  ul,
  ol{
    margin-bottom: 0;
  }
}

// List options
// Unstyled keeps list items block level, just removes default browser padding and list-style
.list-unstyled {
  padding-left: 0;
  list-style: none;
}

// Inline turns list items into inline-block
.list-inline {
  .list-unstyled();
  > li {
    display: inline-block;
    padding-left: 5px;
    padding-right: 5px;
  }
}

// Description Lists
dl {
  margin-bottom: @line-height-computed;
}

dt,
dd {
  line-height: @line-height-base;
}

dt {
  font-weight: bold;
}

dd {
  margin-left: 0; // Undo browser default
}

// Horizontal description lists
//
// Defaults to being stacked without any of the below styles applied, until the
// grid breakpoint is reached (default of ~768px).

@media (min-width: @grid-float-breakpoint) {
  .dl-horizontal {
    dt {
      float: left;
      width: (@component-offset-horizontal - 20);
      clear: left;
      text-align: right;
      .text-overflow();
    }
    dd {
      margin-left: @component-offset-horizontal;
      .clearfix(); // Clear the floated `dt` if an empty `dd` is present
    }
  }
}



//
// MISC
// --------------------------------------------------

// Abbreviations and acronyms
// --------------------------
abbr[title],
// Added data-* attribute to help out our tooltip plugin, per https://github.com/twbs/bootstrap/issues/5257
abbr[data-original-title] {
  cursor: help;
  border-bottom: 1px dotted @abbr-border-color;
}
abbr.initialism {
  font-size: 90%;
  text-transform: uppercase;
}


// Blockquotes
// -----------
blockquote {
  padding: (@line-height-computed / 2) @line-height-computed;
  margin: 0 0 @line-height-computed;
  border-left: 5px solid @blockquote-border-color;
  p {
    font-size: (@font-size-base * 1.25);
    font-weight: 300;
    line-height: 1.25;
  }
  p:last-child {
    margin-bottom: 0;
  }
  small {
    display: block;
    line-height: @line-height-base;
    color: @blockquote-small-color;
    &:before {
      content: '\2014 \00A0';// EM DASH, NBSP
    }
  }

  // Float right with text-align: right
  &.pull-right {
    padding-right: 15px;
    padding-left: 0;
    border-right: 5px solid @blockquote-border-color;
    border-left: 0;
    p,
    small {
      text-align: right;
    }
    small {
      &:before {
        content: '';
      }
      &:after {
        content: '\00A0 \2014';// NBSP, EM DASH
      }
    }
  }
}


// Quotes
// ------
q:before,
q:after,
blockquote:before,
blockquote:after {
  content: "";
}


// Addresses
// ---------
address {
  display: block;
  margin-bottom: @line-height-computed;
  font-style: normal;
  line-height: @line-height-base;
}



//
// CODE (inline and block) (code.less)
// -----------------------------------
// Inline and block code styles
code,
kbd,
pre,
samp {
  font-family: @font-family-monospace;
}

// Inline code
code {
}

// Blocks of code
pre {
	border: 1px solid @hr-border;
	background-color: @white;
	margin-bottom: @t3-global-margin;
}



//
// FEATURE LIST
// --------------------------------------------------
.btn-actions {
  text-align: center;
}

.features-list {
  margin-top: @t3-global-margin * 3;

  .page-header {
    border: 0;
    text-align: center;

    h1 {
      font-size: @t3-font-size-bigger + 30;
    }
  }

  /* Features Rows */
  .feature-row {
    overflow: hidden;
    min-height: 200px;
    color: #696f72;
    border-top: 1px solid #e0e2e3;
    padding: (@t3-global-padding * 3) 0 0;
	text-align:center;

    &:last-child {
      border-bottom: 1px solid #e0e2e3;
      margin-bottom: @t3-global-margin * 3;
    }

    h3 {
      font-size: @font-size-base * 2;      
    }

    div:first-child {
      padding-left: 0;
    }

    div:last-child {
      padding-right: 0;
    }

    div:first-child.feature-img img {
      float: left;
    }

    div:last-child.feature-img img {
      float: right;
    }
  }
}


.jumbotron {
  h2 {
    font-size: @t3-font-size-bigger + 30;
  }

  iframe {
    margin-top: @t3-global-margin;
  }
}


// Demo Purposes
// -------------

.bs-example {
  position: relative;
	margin-top: -6px;
  padding: (@t3-global-padding * 2.5) @t3-global-padding @t3-global-padding;
	border: 1px solid @hr-border;
	background-color: @white;
	
	table {
		margin-bottom: 0;
	}
	
	&.bs-example-type td {
		padding: 15px 0 !important;
	}
	
	h1, h2, h3, h4, h5, h6 {
		margin: 0;
	}
}

.bs-example:after {
  content: "Example";
  top: 20px;
  left: @t3-global-padding;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
  position: absolute;
	color: @gray-light;
}

.bs-example + .highlight {
    margin: 0 0 (@t3-global-margin * 1.5);
		padding: @t3-global-padding / 2;
		background: url(../images/stripline.png) 0 0 repeat-x;
		border: 1px solid #e5e5e5;
		border-top: 0;
		
		pre {
			border: none;
			margin: 10px 0 0 0; 
			background-color: transparent;
		}
}